- [HTTP request](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/delete#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/delete#body.aspect)

Deletes a location.

If this location cannot be deleted using the API and it is marked so in the `google.mybusiness.businessinformation.v1.LocationState`, use the [Google Business Profile](https://business.google.com/manage/) website.

### HTTP request

`DELETE https://mybusinessbusinessinformation.googleapis.com/v1/{name=locations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the location to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).